import Navbar from './components/Navbar.js';
import ChatBox from './components/ChatBox.js';

document.addEventListener('DOMContentLoaded', () => {
    const loginForm = document.getElementById('loginForm');
    const dashboard = document.getElementById('dashboard');
    const loginRegister = document.getElementById('login-register');

    loginForm.addEventListener('submit', (e) => {
        e.preventDefault();
        loginRegister.classList.add('d-none');
        dashboard.classList.remove('d-none');
        loadComponents();
    });

    document.getElementById('logoutButton').addEventListener('click', () => {
        location.reload();
    });

    function loadComponents() {
        const chatboxContainer = document.getElementById('chatbox');
        const chatbox = new ChatBox();
        chatboxContainer.appendChild(chatbox.render());
    }
});